// import the video library 
import processing.video.*;

// this is the video capturing object
Capture cam;

void setup() {

  // create a canvas with same size as video
  size(320, 240);

  // If no device is specified, will just use the default.
  cam = new Capture(this, 320, 240);
  cam.start();
  
  // uncomment this for an alternate method (if above doesn't work)
  //// To use another device (i.e. if the default device causes an error),  
  //// list all available capture devices to the console to find your camera.
  //String[] devices = Capture.list();
  //for (int i = 0; i < devices.length; i++) {
  //  println(i, devices[i]);
  //}

  //// Change devices[3] to the proper index for your camera.
  //cam = new Capture(this, 320, 240, devices[3]);
  //cam.start();
}

void draw() {
  // draw the frame (it's just an image)
  image(cam, 0, 0);
} 

// event function for video
// (called every time there's a new frame)
void captureEvent(Capture cam) {
  cam.read();
}