// import the video library 
import processing.video.*;

// this is the video capturing object
Capture cam;

void setup() {

  // create a canvas with same size as video
  size(320, 240);

  // If no device is specified, will just use the default.
  cam = new Capture(this, 320, 240);
  cam.start();

  /*
  if (cam == null)
   {
   // To use another device (i.e. if the default device causes an error),  
   // list all available capture devices to the console to find your camera.
   String[] devices = Capture.list();
   println(devices);
   
   // Change devices[0] to the proper index for your camera.
   cam = new Capture(this, width, height, devices[0]);
   }
   */

  // Opens the operating system camera settings page for this capture device.
  //cam.settings();
}


void draw() {

  // check if frame is available
  if (cam.available()) {
    // read the next video frame from the camera
    cam.read();

    // draw the frame (it's just an image)
    image(cam, 0, 0);
  }
} 

